import React, { Component } from 'react';
import { connect } from "react-redux";
import { showSidebar } from "../../actions/show-sidebar";
import "./adminMainPage.scss";
import Header from '../../components/adminHeader/adminHeader';
import AdminMenu from '../../components/adminMenu/adminMenu';

class AdminMainPage extends Component {

  componentDidMount() {
    this.props.showSidebar()
  }

  componentWillUnmount() {
    this.props.showSidebar()
  }
  
  render() {
    // const {

    // } = this.props;

    return (
      <div className="admin-main-page-wrapper">
        <Header />
        <AdminMenu />
      </div>
    )
  }
}


const mapStateToProps = state => ({

});

export default connect(
  mapStateToProps,
  { showSidebar }
)(AdminMainPage);
